using System.Collections.Generic;

namespace InABox.Integration.Logikal
{
    public interface ILogikalElevationDetail<TGroup, TStyle, TSupplier, TProfile, TGasket, TComponent, TGlass, TLabour>  : 
        ILogikalBOM<TGroup, TStyle, TSupplier, TProfile, TGasket, TComponent, TGlass, TLabour>,
        ILogikalElevationSummary
        where TGroup : ILogikalGroup
        where TStyle : ILogikalStyle
        where TSupplier : ILogikalSupplier
        where TProfile : ILogikalProfile
        where TGasket : ILogikalGasket
        where TComponent : ILogikalComponent
        where TGlass : ILogikalGlass
        where TLabour : ILogikalLabour
    {
        byte[] Drawing { get; set; }
    }
}